Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • CreateFolder
        • Get permissions
        • Modify permissions
        • DLS suggest
        • Delete folder
        • Move folder entry
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • DlsPermissionUnit
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Folder
  4. DLS suggest
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • DlsPermissionUnit

DLS suggest

Returns suggested DLS subjects.

RequestRequest

POST

https://api.datalens.tech/rpc/dlsSuggest

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "searchText": "example"
}

Name

Description

searchText

Type: string

Text to search for permission subjects.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
[
  {
    "cloud_icon": "example",
    "cloud_icon_data": "example",
    "cloud_user_id": "example",
    "icon": "example",
    "link": "example",
    "name": "example",
    "title": "example",
    "type": "user",
    "parent": {
      "link": "example",
      "title": "example"
    },
    "__rlsid": "example",
    "__source": "example"
  }
]

Type: DlsPermissionUnit[]

DlsPermissionUnitDlsPermissionUnit

Name

Description

rlsid

Type: string

Row-level security identifier.

Example: example

source

Type: string

Source system identifier.

Example: example

cloud_icon

Type: string

Cloud icon URL for the subject.

Example: example

cloud_icon_data

Type: string

Cloud icon raw data for the subject.

Example: example

cloud_user_id

Type: string

Cloud platform user ID.

Example: example

icon

Type: string

Icon URL for the subject.

Example: example

link

Type: string

Profile link for the subject.

Example: example

name

Type: string

Subject id.

Example: example

parent

Type: object

link

Type: string

Link to the parent group.

Example: example

title

Type: string

Display title of the parent group.

Example: example

Parent group information.

Example
{
  "link": "example",
  "title": "example"
}

title

Type: string

Display title for the subject.

Example: example

type

Type: string

Subject type.

Enum: user, user-staff, user-system, group-system, group-staff-servicerole, group-staff-service, group-staff-wiki, group-staff-department

Example
{
  "cloud_icon": "example",
  "cloud_icon_data": "example",
  "cloud_user_id": "example",
  "icon": "example",
  "link": "example",
  "name": "example",
  "title": "example",
  "type": "user",
  "parent": {
    "link": "example",
    "title": "example"
  },
  "__rlsid": "example",
  "__source": "example"
}

Была ли статья полезна?

Предыдущая
Modify permissions
Следующая
Delete folder
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»